Name:		perl-Mail-Message
Version:	3.008
Release:	6%{?dist}
Summary:	MIME message handling
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Mail-Message
Source0:	https://cpan.metacpan.org/modules/by-module/Mail/Mail-Message-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
# Module
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Date::Format)
BuildRequires:	perl(Date::Parse)
BuildRequires:	perl(Email::Simple)
BuildRequires:	perl(Encode) >= 2.26
BuildRequires:	perl(Encode::Alias)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec) >= 0.7
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Font::Metrics::TimesRoman)
BuildRequires:	perl(HTML::FormatPS)
BuildRequires:	perl(HTML::FormatText) >= 2.01
BuildRequires:	perl(HTML::TreeBuilder) >= 3.13
BuildRequires:	perl(integer)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Lines)
BuildRequires:	perl(IO::Scalar)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Mail::Address) >= 2.17
BuildRequires:	perl(Mail::Header)
BuildRequires:	perl(Mail::Identity)
BuildRequires:	perl(Mail::Internet) >= 2.01
%if !%{defined perl_bootstrap}
BuildRequires:	perl(Mail::Transport::Send)
%endif
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(MIME::Entity) >= 3.0
BuildRequires:	perl(MIME::Parser)
BuildRequires:	perl(MIME::QuotedPrint)
BuildRequires:	perl(MIME::Types) >= 1.004
BuildRequires:	perl(Net::Domain)
BuildRequires:	perl(overload)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Scalar::Util) >= 1.13
BuildRequires:	perl(Storable)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(Text::Autoformat)
BuildRequires:	perl(Time::HiRes) >= 1.51
BuildRequires:	perl(Time::Zone)
BuildRequires:	perl(URI) >= 1.23
BuildRequires:	perl(User::Identity::Collection::Emails)
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(User::Identity) >= 0.94
# Optional Tests
%if !%{defined perl_bootstrap}
BuildRequires:	perl(Email::Abstract)
%endif
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Date::Parse)
%if !%{defined perl_bootstrap}
Requires:	perl(Mail::Transport::Send)
%endif
Requires:	perl(Net::Domain)
Requires:	perl(Time::HiRes) >= 1.51
Requires:	perl(Time::Zone)

# I'm not sure why these provides aren't getting picked up automatically.
Provides:	perl(Mail::Message::Body::Construct) = %{version}
Provides:	perl(Mail::Message::Construct) = %{version}
Provides:	perl(Mail::Message::Construct::Bounce) = %{version}
Provides:	perl(Mail::Message::Construct::Build) = %{version}
Provides:	perl(Mail::Message::Construct::Forward) = %{version}
Provides:	perl(Mail::Message::Construct::Read) = %{version}
Provides:	perl(Mail::Message::Construct::Rebuild) = %{version}
Provides:	perl(Mail::Message::Construct::Reply) = %{version}
Provides:	perl(Mail::Message::Construct::Text) = %{version}

%description
MIME message handling code, formerly part of the Mail::Box package.

%prep
%setup -q -n Mail-Message-%{version}
# The licensing on these test files is unclear. 
# They seem to contain content posted publicly to usenet
# so there is an argument that the content is distributable
# but it's not under a Free license.
# We delete these files to resolve the issue.
# https://rt.cpan.org/Public/Bug/Display.html?id=120149
rm -rf t/203-mlfolder.mbox t/204-sgfolder.mbox
rm -rf t/203head-listgroup.t t/204head-spamgroup.t

%build 
yes y | perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog README.md
%{perl_vendorlib}/Mail/
%{_mandir}/man3/Mail::Box::FastScalar.3*
%{_mandir}/man3/Mail::Box::Parser.3*
%{_mandir}/man3/Mail::Box::Parser::Perl.3*
%{_mandir}/man3/Mail::Message.3*
%{_mandir}/man3/Mail::Message::Body.3*
%{_mandir}/man3/Mail::Message::Body::Construct.3*
%{_mandir}/man3/Mail::Message::Body::Encode.3*
%{_mandir}/man3/Mail::Message::Body::File.3*
%{_mandir}/man3/Mail::Message::Body::Lines.3*
%{_mandir}/man3/Mail::Message::Body::Multipart.3*
%{_mandir}/man3/Mail::Message::Body::Nested.3*
%{_mandir}/man3/Mail::Message::Body::String.3*
%{_mandir}/man3/Mail::Message::Construct.3*
%{_mandir}/man3/Mail::Message::Construct::Bounce.3*
%{_mandir}/man3/Mail::Message::Construct::Build.3*
%{_mandir}/man3/Mail::Message::Construct::Forward.3*
%{_mandir}/man3/Mail::Message::Construct::Read.3*
%{_mandir}/man3/Mail::Message::Construct::Rebuild.3*
%{_mandir}/man3/Mail::Message::Construct::Reply.3*
%{_mandir}/man3/Mail::Message::Construct::Text.3*
%{_mandir}/man3/Mail::Message::Convert.3*
%{_mandir}/man3/Mail::Message::Convert::EmailSimple.3*
%{_mandir}/man3/Mail::Message::Convert::Html.3*
%{_mandir}/man3/Mail::Message::Convert::HtmlFormatPS.3*
%{_mandir}/man3/Mail::Message::Convert::HtmlFormatText.3*
%{_mandir}/man3/Mail::Message::Convert::MailInternet.3*
%{_mandir}/man3/Mail::Message::Convert::MimeEntity.3*
%{_mandir}/man3/Mail::Message::Convert::TextAutoformat.3*
%{_mandir}/man3/Mail::Message::Field.3*
%{_mandir}/man3/Mail::Message::Field::AddrGroup.3*
%{_mandir}/man3/Mail::Message::Field::Address.3*
%{_mandir}/man3/Mail::Message::Field::Addresses.3*
%{_mandir}/man3/Mail::Message::Field::Attribute.3*
%{_mandir}/man3/Mail::Message::Field::AuthResults.3*
%{_mandir}/man3/Mail::Message::Field::DKIM.3*
%{_mandir}/man3/Mail::Message::Field::Date.3*
%{_mandir}/man3/Mail::Message::Field::Fast.3*
%{_mandir}/man3/Mail::Message::Field::Flex.3*
%{_mandir}/man3/Mail::Message::Field::Full.3*
%{_mandir}/man3/Mail::Message::Field::Structured.3*
%{_mandir}/man3/Mail::Message::Field::URIs.3*
%{_mandir}/man3/Mail::Message::Field::Unstructured.3*
%{_mandir}/man3/Mail::Message::Head.3*
%{_mandir}/man3/Mail::Message::Head::Complete.3*
%{_mandir}/man3/Mail::Message::Head::FieldGroup.3*
%{_mandir}/man3/Mail::Message::Head::ListGroup.3*
%{_mandir}/man3/Mail::Message::Head::Partial.3*
%{_mandir}/man3/Mail::Message::Head::ResentGroup.3*
%{_mandir}/man3/Mail::Message::Head::SpamGroup.3*
%{_mandir}/man3/Mail::Message::Part.3*
%{_mandir}/man3/Mail::Message::Replace::MailHeader.3*
%{_mandir}/man3/Mail::Message::Replace::MailInternet.3*
%{_mandir}/man3/Mail::Message::TransferEnc.3*
%{_mandir}/man3/Mail::Message::TransferEnc::Base64.3*
%{_mandir}/man3/Mail::Message::TransferEnc::Binary.3*
%{_mandir}/man3/Mail::Message::TransferEnc::EightBit.3*
%{_mandir}/man3/Mail::Message::TransferEnc::QuotedPrint.3*
%{_mandir}/man3/Mail::Message::TransferEnc::SevenBit.3*
%{_mandir}/man3/Mail::Reporter.3*

%changelog
* Sat Nov  2 2019 Paul Howarth <paul@city-fan.org> - 3.008-6
- EPEL-8 post-bootstrap rebuild

* Thu Oct 17 2019 Paul Howarth <paul@city-fan.org> - 3.008-5
- Add bootstrap for EPEL-8
- Spec tidy-up
  - Use author-independent source URL
  - Classify buildreqs by usage
  - Drop redundant %%{?perl_default_filter}
  - Use %%{make_build} and %%{make_install}
  - Drop redundant recoding of Mail::Message::Field manpage
  - Fix permissions verbosely
  - Make %%files list more explicit
  - Package README.md rather than README

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.008-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 02 2019 Jitka Plesnikova <jplesnik@redhat.com> - 3.008-3
- Perl 5.30 re-rebuild of bootstrapped packages

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 3.008-2
- Perl 5.30 rebuild

* Mon Feb 11 2019 Tom Callaway <spot@fedoraproject.org> - 3.008-1
- update to 3.008

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Sep  5 2018 Tom Callaway <spot@fedoraproject.org> - 3.007-1
- update to 3.007

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.006-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 01 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.006-4
- Perl 5.28 re-rebuild of bootstrapped packages

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.006-3
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.006-1
- 3.006 bump

* Wed Jan 10 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.005-1
- 3.005 bump

* Wed Sep 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.002-1
- 3.002 bump

* Fri Jul 28 2017 Tom Callaway <spot@fedoraproject.org> - 3.001-1
- update to 3.001

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.000-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.000-6
- Perl 5.26 re-rebuild of bootstrapped packages

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.000-5
- Added perl_bootstrap to avoid build cycle

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.000-4
- Perl 5.26 rebuild

* Thu Feb  9 2017 Tom Callaway <spot@fedoraproject.org> - 3.000-3
- remove unnecessary requires filtering
- add necessary explicit Requires

* Wed Feb  8 2017 Tom Callaway <spot@fedoraproject.org> - 3.000-2
- fix buildrequires
- remove non-free test cases

* Tue Feb  7 2017 Tom Callaway <spot@fedoraproject.org> - 3.000-1
- initial package
